Bug 162463 - [ipr] Unknown license for some krb5 (Kerberos) files [Apple, Metrowerks and MS code]
[ipr] Unknown license for some krb5 (Kerberos) files [Apple, Metrowerks and M...
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: krb5 (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-07-05 04:35 EDT by Imed Chihi
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 14:58:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Imed Chihi 2005-07-05 04:35:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.8) Gecko/20050512 Red Hat/1.0.4-1.4.1 Firefox/1.0.4

Description of problem:
The source RPM of krb5 (at least on version 1.2.7) contains five (05) files which only show a copyright notice without specifying a usage and distribution license:

1. krb5-1.2.7/src/include/krb5/AddressXlation.h
     Copyright: (c) 1984-1995 by Apple Computer, Inc.
     All rights reserved.

2. krb5-1.2.7/src/include/krb5/MacTCP.h
     Copyright: (c) 1984-1995 by Apple Computer, Inc.
     All rights reserved.

3. krb5-1.2.7/src/lib/krb4/DNR.c
     (c) Copyright 1988 by Apple Computer.  All rights reserved

4. krb5-1.2.7/src/mac/libraries/KerberosHeaders.h
     Copyright (c) 1993 metrowerks inc.  All rights reserved.

5. krb5-1.2.7/src/windows/gina/ginastub.c
     Copyright (c) 1996 Microsoft Corporation

This may be a concern for some OEM vendors shipping Red Hat Enterprise Linux.

Version-Release number of selected component (if applicable):
Checked on 1.2.7-28 (should apply to all versions)

How reproducible:

Steps to Reproduce:
On Red Hat Enterprise Linux 3 (possibly other releases)
1. up2date --get-source up2date --get-source krb5-libs
2. rpm -Uvh /var/spool/up2date/krb5-1.2.7-28.src.rpm
3. cd /usr/src/redhat/SPECS/
4. rpmbuild -bp krb5.spec
5. cd /usr/src/redhat/BUILD/krb5-1.2.7/
6. View src/include/krb5/AddressXlation.h, src/include/krb5/MacTCP.h, src/lib/krb4/DNR.c, src/mac/libraries/KerberosHeaders.h and src/windows/gina/ginastub.c

Actual Results:  No mention of the usage and distribution license in all files.

Expected Results:  A clause specifying a license (like GPL) for use and distribution clearly mentioned in all files.

Additional info:

These files are not needed on the Linux platform and could be safely stripped from the package.
Comment 4 RHEL Product and Program Management 2007-10-19 14:58:53 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.